Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
branch: master
Fetching contributors…

Cannot retrieve contributors at this time

152 lines (151 sloc) 4.113 kb
<?xml version="1.0" encoding="UTF-8"?>
<package packagerversion="1.7.1" version="2.0" xmlns="http://pear.php.net/dtd/package-2.0" xmlns:tasks="http://pear.php.net/dtd/tasks-1.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://pear.php.net/dtd/tasks-1.0 http://pear.php.net/dtd/tasks-1.0.xsd http://pear.php.net/dtd/package-2.0 http://pear.php.net/dtd/package-2.0.xsd">
<name>Validate_IE</name>
<channel>pear.php.net</channel>
<summary>Validation class for Ireland</summary>
<description>Package contains validation for Irish credentials:
- Postal Codes
- Passport Numbers
- Phone Numbers
- Bank Account Numbers
- Bank Sort Codes
- Swift Codes
- IBANs
- Drivers Licence Numbers
- PPSN / Social Security Numbers</description>
<lead>
<name>David Coallier</name>
<user>davidc</user>
<email>davidc@agoraproduction.com</email>
<active>yes</active>
</lead>
<lead>
<name>Ken Guest</name>
<user>kguest</user>
<email>ken@linux.ie</email>
<active>yes</active>
</lead>
<date>2013-01-22</date>
<time>13:51:00</time>
<version>
<release>1.1.0a1</release>
<api>1.0.1</api>
</version>
<stability>
<release>alpha</release>
<api>alpha</api>
</stability>
<license uri="http://www.gnu.org/licenses/lgpl.html">LGPL</license>
<notes>
* Now also validate the form of bank sort codes.
</notes>
<contents>
<dir name="/">
<dir name="tests">
<file name="bug13633.phpt" role="test" />
<file name="validate_IE_bankAC.phpt" role="test" />
<file name="validate_IE_drive.phpt" role="test" />
<file name="validate_IE_IBAN.phpt" role="test" />
<file name="validate_IE_passport.phpt" role="test" />
<file name="validate_IE_phoneNumber.phpt" role="test" />
<file name="validate_IE_ppsn.phpt" role="test" />
<file name="validate_IE_swift.phpt" role="test" />
</dir> <!-- /tests -->
<dir name="Validate">
<file name="IE.php" role="php" />
</dir> <!-- /Validate -->
<file name="data/IE_postcodes.txt" role="data" />
</dir> <!-- / -->
</contents>
<dependencies>
<required>
<php>
<min>4.4.0</min>
</php>
<pearinstaller>
<min>1.4.0b1</min>
</pearinstaller>
<package>
<name>Validate_Finance</name>
<channel>pear.php.net</channel>
<min>0.5.4</min>
</package>
</required>
</dependencies>
<phprelease />
<changelog>
<release>
<version>
<release>1.1.0a1</release>
<api>1.0.0</api>
</version>
<stability>
<release>stable</release>
<api>stable</api>
</stability>
<date>2013-01-22</date>
<license uri="http://www.gnu.org/licenses/lgpl.html">LGPL</license>
<notes>
* Now also validate the form of bank sort codes.
</notes>
</release>
<release>
<version>
<release>1.0.3</release>
<api>1.0.0</api>
</version>
<stability>
<release>stable</release>
<api>stable</api>
</stability>
<date>2013-01-01</date>
<license uri="http://www.gnu.org/licenses/lgpl.html">LGPL</license>
<notes>
* Validate the first component of license plates that consist of three digits.
</notes>
</release>
<release>
<version>
<release>1.0.2</release>
<api>1.0.0</api>
</version>
<stability>
<release>stable</release>
<api>stable</api>
</stability>
<date>2008-11-20</date>
<license uri="http://www.gnu.org/licenses/lgpl.html">LGPL</license>
<notes>
* bug fix: #15097 - package not marked as depending on validate_finance
</notes>
</release>
<release>
<version>
<release>1.0.1</release>
<api>1.0.0</api>
</version>
<stability>
<release>stable</release>
<api>stable</api>
</stability>
<date>2008-04-11</date>
<license uri="http://www.gnu.org/licenses/lgpl.html">LGPL</license>
<notes>
* bug fix: #13633 - support for the 089 mobile phone network
</notes>
</release>
<release>
<version>
<release>1.0.0</release>
<api>1.0.0</api>
</version>
<stability>
<release>stable</release>
<api>stable</api>
</stability>
<date>2008-02-14</date>
<license>New BSD</license>
<notes />
</release>
</changelog>
</package>
Jump to Line
Something went wrong with that request. Please try again.